<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical"
        tools:context=".ui.activity.ListActivity">

        <View
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@color/white" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@color/white"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/download_back"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_marginStart="8dp"
                android:background="@color/white"
                android:padding="8dp"
                android:src="@mipmap/icon_back" />

            <TextView
                android:id="@+id/bg_name"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_weight="1"
                android:background="@color/white"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="18sp" />

            <ImageView
                android:id="@+id/im_like"
                android:layout_width="50dp"
                android:layout_height="40dp"
                android:paddingStart="5dp"
                android:paddingTop="5dp"
                android:paddingEnd="15dp"
                android:paddingBottom="5dp"
                android:src="@drawable/selector_like" />
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_margin="15dp"
                app:cardCornerRadius="10dp">

                <ImageView
                    android:id="@+id/download_img"
                    android:layout_width="match_parent"
                    android:layout_height="240dp"
                    android:scaleType="centerCrop"
                    android:src="@drawable/png_item" />


            </androidx.cardview.widget.CardView>


        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="15dp"
            android:text="@string/slect_key"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/list_recycler"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:orientation="horizontal" />

        <TextView
            android:id="@+id/btn_download"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginStart="70dp"
            android:layout_marginTop="30dp"
            android:layout_marginEnd="70dp"
            android:background="@drawable/selector_step"
            android:gravity="center"
            android:text="@string/apply"
            android:textColor="@color/step_text_color"
            android:textSize="19sp" />

        <TextView
            android:id="@+id/btn_retry"
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginStart="70dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="70dp"
            android:layout_marginBottom="10dp"
            android:background="@drawable/selector_step"
            android:gravity="center"
            android:paddingStart="16dp"
            android:paddingEnd="16dp"
            android:text="@string/retry"
            android:visibility="gone"
            android:textColor="@color/step_text_color"
            android:textSize="19sp" />


    </LinearLayout>

    <FrameLayout
        android:id="@+id/download_progress"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#80000000"
        android:visibility="invisible">

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:indeterminateTint="@color/orange" />
    </FrameLayout>
</FrameLayout>
